# Dolibarr M-Pesa Payment Module

## Overview
The M-Pesa Payment Module for Dolibarr enables seamless integration with M-Pesa, allowing businesses to accept payments directly from customers.

## Features
- Generate payment URLs for invoices.
- Real-time payment processing via M-Pesa.
- Automatic payment confirmation and transaction recording.

## Installation
1. Download the module ZIP package.
2. Extract and upload the contents to Dolibarr's custom modules directory (e.g., /htdocs/custom/mpesapay).
3. Go to **Home > Setup > Modules** and activate the "M-Pesa Payment Module".

## Configuration
1. Navigate to **M-Pesa Module Configuration** in Dolibarr.
2. Enter your M-Pesa Paybill Number and Passkey.

## Usage
1. Generate an invoice in Dolibarr.
2. Click on "Pay with M-Pesa" to initiate payment.
3. Customers complete payment via M-Pesa and the module confirms the transaction.

## Support
For inquiries, contact [NESTICT INFOTECH](https://www.nestict.com).

## License
This module is licensed under GPLv3.

